Bug 66398 - firewall-config GUI will break with more than 9 rules
firewall-config GUI will break with more than 9 rules
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: firewall-config (Show other bugs)
7.3
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Ben Levenson
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-09 19:56 EDT by Petri Koistinen
Modified: 2007-03-26 23:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-28 12:03:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petri Koistinen 2002-06-09 19:56:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020605

Description of problem:
If you enter more 9 rules in firewall-config the program starts misbehaving.
Moving rules up and down with arrow keys won't work as expected. Rule 10 should
appear after rule 9 not after rule 1.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start filewall-config.
2. Add ten rules.
3. GUI breaks.
	

Expected Results:  GUI should work as normal.

Additional info:
Comment 1 David Kaplan 2002-07-12 21:44:14 EDT
Same problem here.  Also, when I activated my firewall rules it created both
input and output rules in /etc/ipchains when I had only asked for input rules.
Comment 2 Petri T. Koistinen 2002-08-31 14:55:51 EDT
Is anyone looking at this?
Comment 3 Petri Koistinen 2002-09-06 03:52:53 EDT
What if somebody rely on correct operation of this software?
Comment 4 Petri T. Koistinen 2002-10-01 12:00:48 EDT
Is this program dropped from Red Hat 8.0? Good, if it is.
Comment 5 Petri Koistinen 2003-01-28 12:03:05 EST
Nobody seems to care about this.

Note You need to log in before you can comment on or make changes to this bug.